/* ========== Global ========== */
body {
    margin: 0;
    font-family: "Inter", sans-serif;
    background: #f5f7fa;
}

/* ========== Layout ========== */
.wrapper {
    display: flex;
    justify-content: center;
    margin-top: 40px;
}

/* ========== Card ========== */
.card {
    width: 503px;
    text-align: center;
    padding-top: 65px;
    padding-bottom: 30px;

    background-color: #F6F8FA !important;
    border: 2.30766px solid rgba(0, 116, 255, 0.1) !important;
    border-radius: 23.0766px !important;

    background-image: url("./img/bg.png"); /* IMPORTANT */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}
.card-acc {
    width: 503px;
    text-align: center;
    padding-top: 65px;
    padding-bottom: 30px;

    background-color: #F6F8FA !important;
    border: 2.30766px solid rgba(0, 116, 255, 0.1) !important;
    border-radius: 23.0766px !important;

    background-image: url("./img/tree.png"); /* IMPORTANT */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* Card Heading */
.card h2, .card-acc h2  {
    margin: 0 0 30px;
    font-weight: 600;
    color: #000;
    font-size: 40px;
}
.card-bg h2 {
    margin: 0 0 30px;
    font-weight: 600;
    color: #000;
    font-size: 40px;
}
/* ========== Inputs ========== */
#card-email,
#pass {
    font-size: 20px;
    border: 1.73075px solid #D9D9D9;
    padding: 16px 130px 16px 30px !important;
    border-radius: 346.149px;
    outline: none;
    width: 406px;
    margin: 0 auto 22px;
    display: block;
    background-color: #fff;
}

/* Placeholder color */
#card-email::placeholder,
#pass::placeholder {
    color: #9CA3AF;
}

.passwordField {
    font-size: 20px;
    border: 1.73075px solid #D9D9D9;
    padding: 16px 130px 16px 30px !important;
    border-radius: 346.149px;
    outline: none;
    width: 406px;
    margin: 0 auto 22px;
    display: block;
    background-color: #fff;
}

.passwordField::placeholder {
    color: #9CA3AF;
}

/* ========== Social Buttons ========== */
.social-btn {
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;

    cursor: pointer;
    font-size: 20px;
    font-weight: 600;

    border: 1.73075px solid #D9D9D9;
    border-radius: 346.149px;

    padding: 16px 0;
    color: #121212;

    width: 406px;
    margin: 0 auto 22px;
}

.social-btn img {
    width: 27px;
}

/* ========== Main Button ========== */
.main-btn {
    background: #007bff;
    color: #fff;
    cursor: pointer;

    font-size: 18px;
    border-radius: 346.149px;
    width: 406px;
    height: 50px;
    border: none;

    display: block;
    margin: 10px auto 20px;
}
.settings-card {
      padding: 40px 68px;
      background: #FFFFFF;
      box-shadow: 2px 4px 15.7px 3px rgba(0, 0, 0, 0.05);
      border-radius: 20px;
    }

    .settings-title {
      font-size: 40px;
      font-weight: 600;
      margin-bottom: 50px;
      text-align: center;
    }

    .form-label {
      font-weight: 600;
      color: #111;
      font-size: 20px;
      line-height: 38px;
    }

    .form-control {
      height: 48px;
      padding: 31px 30px;
      background: #FFFFFF;
      border: 1.73075px solid #D9D9D9;
      border-radius: 346.149px;
    }

    .form-control:disabled {
      color: #A2A3A5;
      background: #FFFFFF;
      border: 1.73075px solid #D9D9D9;
      border-radius: 346.149px;
      padding: 31px 40px;
    }

    .password-field {
      position: relative;
    }

    .password-field .toggle-icon {
      position: absolute;
      right: 18px;
      top: 50%;
      transform: translateY(-50%);
      cursor: pointer;
      color: #9aa0a6;
    }

    .profile-pic {
      width: 95px;
      height: 95px;
      border-radius: 10%;
      object-fit: cover;
      border: 1px solid #e5e7eb;
    }

    .btn-change {
      margin-top: 8px;
      border-radius: 999px;
      padding: 4px 25px;
      font-size: 12px;
      width: 95px;
    }

    textarea.form-control {
      height: auto;
      border-radius: 30px;
      padding: 40px 40px;
    }

    .btn-save {
      border-radius: 300px;
      padding: 9px 33px;
      font-weight: 600;
      font-size: 16px;
    }
    .acc-setting-card.col-xl-8 {
        flex: 0 0 auto;
        width: 84.2% !important;
    }   
    
/*Sign In CSS Starts Here*/
.login-card-text {
    margin: 0 auto 22px;
    width: 406px;
}
/*Sign In CSS Ends Here*/
.google-btn-wrapper {
    width: 100%;
    max-width: 400px; /* desktop limit */
}
@media (max-width: 576px) {
    .google-btn-wrapper {
        max-width: 100%;
    }
}